package edu.stanford.nlp.framenet;

import java.util.*;

/** The Frame class.  Right now contains only the name of the frame
 * and a Collection of the role labels allowed for the frame. 
 * 
 * @author Roger Levy
 */
class FNFrame {

  private String frame;

  public FNFrame(String name) {
    frame = name;
  }

  public String name() {
    return frame;
  }

  public void setName(String name) {
    frame = name;
  }

  /** a collection of Strings: the possible role labels */
  private Collection roleLabels;

  public Collection getRoleLabels() {
    return roleLabels;
  }
  

}
